Apple QuickTime AVI buffer overflow

quicktime-avi-bo (26399) The risk level is classified as HighHigh Risk

Description:

Apple QuickTime is vulnerable to a buffer overflow, caused by improper handling of malformed AVI movie files. A remote attacker could exploit this vulnerability using a specially-crafted AVI file to execute arbitrary code on a victim's system or cause the victim's QuickTime application to crash.


Consequences:

Gain Access

Remedy:

Apply the Apple QuickTime 7.1 Update, available from the Apple Web site. See References.

References:

Platforms Affected:

  • Apple QuickTime 7.0
  • Apple QuickTime 7.0.1
  • Apple QuickTime 7.0.2
  • Apple QuickTime 7.0.3
  • Apple QuickTime 7.0.4
  • Apple QuickTime 7.0.8

Reported:

May 11, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page